#ifndef __ViewManager_h__
# define __ViewManager_h__

#include "HTTPParameters.h"
#include "MString.h"
#include "View.h"

namespace http {

   class ViewManager {

    public:
      ViewManager();
      virtual ~ViewManager();

      bool addView(coreutils::MString name, View view);
      bool getView(HTTPParameters &p);
      bool changeView(coreutils::MString name, View view);
      bool deleteView(coreutils::MString name);

   };

}

#endif
